<template>
    <div class="about">
        <div v-if="pressSend">
            <h2>You Contacted a Human...</h2>
            <div class="buttonClass">
                <router-link to="/"><button class="btn-cancel">Back To Home</button></router-link>
            </div>
        </div>
        <div v-else>
        <h2>Contact Me</h2>

        <form @submit.prevent = "makeContact">
            <input type="text" placeholder="Name" v-model="Name" required>
            <input type="email" placeholder="Email" v-model="Email"  required>
            <input type="text" placeholder="Phone Number" v-model="Phone" required>
            <textarea  placeholder="Message"  v-model="Message" required></textarea>


            <div class="buttonClass">
                <button type="submit" class="btn-submit">SEND</button>
            </div>

        </form>
        </div>

    </div>
</template>

<script>

    export default {
        name: 'contact',

        data() {
            return {
                Name: null,
                Email: null,
                Phone: null,
                Message: null,

                pressSend : false
            }
        },

        methods : {
            makeContact() {
                this.Name = ''
                this.Email = ''
                this.Phone = ''
                this.Message = ''

                this.pressSend = true
            }
        }
    }


</script>

<style scoped lang="scss">

    .about {

        h2 {
            text-align: center;
        }

        input, textarea {
            width: calc(100% - 40px);
            padding: 20px;
            border: 0;
            font-size: 1.3em;
            background-color:bisque ;
            color: #687F7F;
            margin-top: 5px;
            box-shadow: 0px 5px 5px #888888;
        }

        form {
            width: 80%;
            margin: auto;
        }

        .buttonClass {
            display: flex;
            width: 50%;
            margin-left: auto;
            margin-right: auto;
            padding: 30px;
            justify-content: center;

            button {
                box-shadow: 0 0 5px -1px rgba(0, 0, 0, 0.2);
                border: 1px solid transparent;
                cursor: pointer;
                padding: 8px;
                width: 170px;
                margin-right: 20px;
                -moz-border-radius: 2px;
                border-radius: 2px;
                background-color: #1e999e;
                color: beige;
            }
        }
    }
</style>
